package cn.iocoder.yudao.module.basic.convert.goodsverify;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.basic.api.goodsverify.dto.GoodsVerifyRespDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.basic.controller.admin.goodsverify.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.goodsverify.GoodsVerifyDO;

/**
 * 商品认证 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface GoodsVerifyConvert {

    GoodsVerifyConvert INSTANCE = Mappers.getMapper(GoodsVerifyConvert.class);

    GoodsVerifyDO convert(GoodsVerifyCreateReqVO bean);

    GoodsVerifyDO convert(GoodsVerifyUpdateReqVO bean);

    GoodsVerifyRespVO convert(GoodsVerifyDO bean);

    List<GoodsVerifyRespDTO> convertToDTOList(List<GoodsVerifyDO> list);

    List<GoodsVerifyRespVO> convertList(List<GoodsVerifyDO> list);

    PageResult<GoodsVerifyRespVO> convertPage(PageResult<GoodsVerifyDO> page);

}
